ScXMLAbstractStateElt(3)

NAME
ScXMLAbstractStateElt - abstract base class for the SCXML 'state' elements.

SYNOPSIS

#include <Inventor/scxml/ScXMLAbstractStateElt>

Inherits ScXMLElt.

Inherited by ScXMLFinalElt, ScXMLParallelElt, and ScXMLStateElt.

  Public Member Functions
virtual SoType getTypeId (void) const =0
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void setIdAttribute (const char *id)
const char * getIdAttribute (void) const
virtual SbBool handleXMLAttributes (void)
virtual void copyContents (const ScXMLElt *rhs)
virtual const ScXMLElt * search (const char *attrname, const char *attrvalue) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)

  Protected Attributes
char * id

  Additional Inherited Members

Detailed Description

abstract base class for the SCXML 'state' elements.

Since
    Coin 3.1

Member Function Documentation

  virtual SoType ScXMLAbstractStateElt::getTypeId (void) const [pure virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLElt.

Implemented in ScXMLFinalElt, ScXMLParallelElt, and ScXMLStateElt.

  SbBool ScXMLAbstractStateElt::handleXMLAttributes (void) [virtual]
This method is called when the file reader has set all the XML attributes on the object, and wants the object to handle them and report if the values were OK or if a read error should be produced.

Returns
    TRUE if the attributes are OK, and FALSE on error.

This base class implementation does nothing and just returns TRUE.

Reimplemented from ScXMLElt.

Reimplemented in ScXMLParallelElt, and ScXMLStateElt.

  void ScXMLAbstractStateElt::copyContents (const ScXMLElt * rhs) [virtual]

Reimplemented from ScXMLElt.

  const ScXMLElt * ScXMLAbstractStateElt::search (const char * attrname, const char * attrvalue) const [virtual]
This method searches the SCXML structure for an element with the given attribute value for the given attribute.

Returns NULL if nothing was found.

This function needs to be reimplemented to traverse child elements.

Reimplemented from ScXMLElt.

Reimplemented in ScXMLFinalElt, ScXMLParallelElt, and ScXMLStateElt.

Author

Generated automatically by Doxygen for Coin from the source code.